Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


API de Google Maps para Android: SupportMapFragment vs MapFragment

He leído la documentación de la API de google maps y en MapFragment, aconseja usar la clase sólo cuando apunte a la API 12 o superior. Entonces asumo que SupportMapFragment apunta la API 11 y abajo, aunque google no lo mencionó explícitamente en la documentación. Entonces, ¿qué pasa si quiero orientar una amplia gama de API lvl? ¿SupportMapFragment también apunta a API por encima de 11?

  • ¿Por qué la ventana de información del marcador no aparece?
  • GoogleMap.getMyLocation (); No se puede obtener la ubicación actual
  • Android Geofence sólo funciona con la aplicación abierta
  • Androide Zoom-a-Fit Todos los marcadores en Google Map v2
  • Poner a los marcadores de Google Map al frente cambiando el índice Z en Android
  • Cómo buscar en Google Map Api V2 Android?
  • Google Maps Android API v2: Visualización del radio de búsqueda con la ayuda de ValueAnimator
  • Cómo dibujar un círculo alrededor de un alfiler utilizando API de Google API v2
  • One Solution collect form web for “API de Google Maps para Android: SupportMapFragment vs MapFragment”

    Entonces asumo que SupportMapFragment apunta la API 11 y abajo, aunque google no lo mencionó explícitamente en la documentación.

    SupportMapFragment es para uso con el backport del paquete de soporte de Android de fragmentos. Puede utilizarse en dispositivos Android con API 10 o inferior, así como en dispositivos Android con 11 o más. MapFragment requiere la implementación del fragmento de nivel API nativo 11 y, por lo tanto, sólo se puede utilizar en dispositivos API 11 y superiores.

    Tenga en cuenta que no hay ningún dispositivo que ejecute API Nivel 11 que yo sepa de – todo se ha actualizado por lo menos a API Nivel 12.

    FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.